Subject: Re: bug#12188: 24.1; awk-mode eletric { incorrectly inserts newline

From: Leo <[email-masked]>
Date: Thu, 16 Aug 2012 06:44:27 +0800

On 2012-08-15 22:42 +0800, Alan Mackenzie wrote:
> The current assumption is that the "{" starts the action for the pattern
> "NR==3".

syntax after NR==3 is not recognised as `defun-open' which causes { to
be inserted in a new line. I think there is a bug somewhere (probably
c-guess-basic-syntax) regarding this.

Leo